diff --git a/doc/src/sgml/parallel.sgml b/doc/src/sgml/parallel.sgml
index af43484703e..17d895468a6 100644
--- a/doc/src/sgml/parallel.sgml
+++ b/doc/src/sgml/parallel.sgml
@@ -22,7 +22,7 @@
    used so that users who wish to make use of it can understand what to expect.
   </para>
 
- <sect1 id="how-parallel-query-works">
+ <sect1 id="how-parallel-query-works" xreflabel="How Parallel Query Works">
   <title>How Parallel Query Works</title>
 
    <para>
@@ -105,7 +105,7 @@ EXPLAIN SELECT * FROM pgbench_accounts WHERE filler LIKE '%x%';
    </para>
  </sect1>
 
- <sect1 id="when-can-parallel-query-be-used">
+ <sect1 id="when-can-parallel-query-be-used" xreflabel="When Can Parallel Query Be Used?">
   <title>When Can Parallel Query Be Used?</title>
 
   <para>
@@ -244,7 +244,7 @@ EXPLAIN SELECT * FROM pgbench_accounts WHERE filler LIKE '%x%';
   </itemizedlist>
  </sect1>
 
- <sect1 id="parallel-plans">
+ <sect1 id="parallel-plans" xreflabel="Parallel Plans">
   <title>Parallel Plans</title>
 
   <para>
@@ -262,7 +262,7 @@ EXPLAIN SELECT * FROM pgbench_accounts WHERE filler LIKE '%x%';
     must be a parallel-aware scan.
   </para>
 
- <sect2 id="parallel-scans">
+ <sect2 id="parallel-scans" xreflabel="Parallel Scans">
   <title>Parallel Scans</title>
 
   <para>
@@ -315,7 +315,7 @@ EXPLAIN SELECT * FROM pgbench_accounts WHERE filler LIKE '%x%';
   </para>
  </sect2>
 
- <sect2 id="parallel-joins">
+ <sect2 id="parallel-joins" xreflabel="Parallel Joins">
   <title>Parallel Joins</title>
 
   <para>
@@ -359,7 +359,7 @@ EXPLAIN SELECT * FROM pgbench_accounts WHERE filler LIKE '%x%';
   </itemizedlist>
  </sect2>
 
- <sect2 id="parallel-aggregation">
+ <sect2 id="parallel-aggregation" xreflabel="Parallel Aggregation">
   <title>Parallel Aggregation</title>
   <para>
     <productname>PostgreSQL</productname> supports parallel aggregation by aggregating in
@@ -401,7 +401,7 @@ EXPLAIN SELECT * FROM pgbench_accounts WHERE filler LIKE '%x%';
 
  </sect2>
 
- <sect2 id="parallel-append">
+ <sect2 id="parallel-append" xreflabel="Parallel Append">
   <title>Parallel Append</title>
 
   <para>
@@ -449,7 +449,7 @@ EXPLAIN SELECT * FROM pgbench_accounts WHERE filler LIKE '%x%';
   </para>
  </sect2>
 
- <sect2 id="parallel-plan-tips">
+ <sect2 id="parallel-plan-tips" xreflabel="Parallel Plan Tips">
   <title>Parallel Plan Tips</title>
 
   <para>
@@ -477,7 +477,7 @@ EXPLAIN SELECT * FROM pgbench_accounts WHERE filler LIKE '%x%';
  </sect2>
  </sect1>
 
- <sect1 id="parallel-safety">
+ <sect1 id="parallel-safety" xreflabel="Parallel Safety">
   <title>Parallel Safety</title>
 
   <para>
@@ -526,7 +526,7 @@ EXPLAIN SELECT * FROM pgbench_accounts WHERE filler LIKE '%x%';
     </listitem>
   </itemizedlist>
 
- <sect2 id="parallel-labeling">
+ <sect2 id="parallel-labeling" xreflabel="Parallel Labeling for Functions and Aggregates">
   <title>Parallel Labeling for Functions and Aggregates</title>
 
   <para>
diff --git a/doc/src/sgml/passwordcheck.sgml b/doc/src/sgml/passwordcheck.sgml
index 7ea32410463..1b7a4ed8f54 100644
--- a/doc/src/sgml/passwordcheck.sgml
+++ b/doc/src/sgml/passwordcheck.sgml
@@ -59,7 +59,7 @@
   </para>
  </caution>
 
- <sect2 id="passwordcheck-configuration-parameters">
+ <sect2 id="passwordcheck-configuration-parameters" xreflabel="Configuration Parameters">
   <title>Configuration Parameters</title>
 
   <variablelist>
diff --git a/doc/src/sgml/perform.sgml b/doc/src/sgml/perform.sgml
index 5f6f1db0467..113c547b96d 100644
--- a/doc/src/sgml/perform.sgml
+++ b/doc/src/sgml/perform.sgml
@@ -14,7 +14,7 @@
    and tuning <productname>PostgreSQL</productname> performance.
   </para>
 
- <sect1 id="using-explain">
+ <sect1 id="using-explain" xreflabel="Using EXPLAIN">
   <title>Using <command>EXPLAIN</command></title>
 
    <indexterm zone="using-explain">
@@ -54,7 +54,7 @@
     (XML, JSON, or YAML) instead.
    </para>
 
-  <sect2 id="using-explain-basics">
+  <sect2 id="using-explain-basics" xreflabel="EXPLAIN Basics">
    <title><command>EXPLAIN</command> Basics</title>
 
    <para>
@@ -703,7 +703,7 @@ FROM tenk1 t1 WHERE t1.ten = (SELECT (random() * 10)::integer);
 
   </sect2>
 
-  <sect2 id="using-explain-analyze">
+  <sect2 id="using-explain-analyze" xreflabel="EXPLAIN ANALYZE">
    <title><command>EXPLAIN ANALYZE</command></title>
 
    <para>
@@ -1105,7 +1105,7 @@ EXPLAIN UPDATE gtest_parent SET f1 = CURRENT_DATE WHERE f2 = 101;
 
   </sect2>
 
-  <sect2 id="using-explain-caveats">
+  <sect2 id="using-explain-caveats" xreflabel="Caveats">
    <title>Caveats</title>
 
    <para>
@@ -1203,7 +1203,7 @@ EXPLAIN ANALYZE SELECT * FROM tenk1 WHERE unique1 &lt; 100 AND unique2 &gt; 9000
 
  </sect1>
 
- <sect1 id="planner-stats">
+ <sect1 id="planner-stats" xreflabel="Statistics Used by the Planner">
   <title>Statistics Used by the Planner</title>
 
   <indexterm zone="planner-stats">
@@ -1211,7 +1211,7 @@ EXPLAIN ANALYZE SELECT * FROM tenk1 WHERE unique1 &lt; 100 AND unique2 &gt; 9000
    <secondary>of the planner</secondary>
   </indexterm>
 
-  <sect2 id="planner-stats-single-column">
+  <sect2 id="planner-stats-single-column" xreflabel="Single-Column Statistics">
    <title>Single-Column Statistics</title>
   <para>
    As we saw in the previous section, the query planner needs to estimate
@@ -1368,7 +1368,7 @@ WHERE tablename = 'road';
   </para>
   </sect2>
 
-  <sect2 id="planner-stats-extended">
+  <sect2 id="planner-stats-extended" xreflabel="Extended Statistics">
    <title>Extended Statistics</title>
 
    <indexterm zone="planner-stats-extended">
@@ -1436,7 +1436,7 @@ WHERE tablename = 'road';
     that are currently supported.
    </para>
 
-   <sect3 id="planner-stats-extended-functional-deps">
+   <sect3 id="planner-stats-extended-functional-deps" xreflabel="Functional Dependencies">
     <title>Functional Dependencies</title>
 
     <para>
@@ -1521,7 +1521,7 @@ dep | [                          +
      an underestimate.
     </para>
 
-    <sect4 id="planner-stats-extended-functional-deps-limits">
+    <sect4 id="planner-stats-extended-functional-deps-limits" xreflabel="Limitations of Functional Dependencies">
      <title>Limitations of Functional Dependencies</title>
 
      <para>
@@ -1562,7 +1562,7 @@ SELECT * FROM zipcodes WHERE city = 'San Francisco' AND zip = '90210';
     </sect4>
    </sect3>
 
-   <sect3 id="planner-stats-extended-n-distinct-counts">
+   <sect3 id="planner-stats-extended-n-distinct-counts" xreflabel="Multivariate N-Distinct Counts">
     <title>Multivariate N-Distinct Counts</title>
 
     <para>
@@ -1645,7 +1645,7 @@ nd | [                          +
     </para>
    </sect3>
 
-   <sect3 id="planner-stats-extended-mcv-lists">
+   <sect3 id="planner-stats-extended-mcv-lists" xreflabel="Multivariate MCV Lists">
     <title>Multivariate MCV Lists</title>
 
     <para>
@@ -1713,7 +1713,7 @@ SELECT m.* FROM pg_statistic_ext join pg_statistic_ext_data on (oid = stxoid),
   </sect2>
  </sect1>
 
- <sect1 id="explicit-joins">
+ <sect1 id="explicit-joins" xreflabel="Controlling the Planner with Explicit JOIN Clauses">
   <title>Controlling the Planner with Explicit <literal>JOIN</literal> Clauses</title>
 
   <indexterm zone="explicit-joins">
@@ -1887,7 +1887,7 @@ SELECT * FROM x, y, a, b, c WHERE something AND somethingelse;
   </para>
  </sect1>
 
- <sect1 id="populate">
+ <sect1 id="populate" xreflabel="Populating a Database">
   <title>Populating a Database</title>
 
   <para>
@@ -1896,7 +1896,7 @@ SELECT * FROM x, y, a, b, c WHERE something AND somethingelse;
    this process as efficient as possible.
   </para>
 
-  <sect2 id="disable-autocommit">
+  <sect2 id="disable-autocommit" xreflabel="Disable Autocommit">
    <title>Disable Autocommit</title>
 
    <indexterm>
@@ -1921,7 +1921,7 @@ SELECT * FROM x, y, a, b, c WHERE something AND somethingelse;
    </para>
   </sect2>
 
-  <sect2 id="populate-copy-from">
+  <sect2 id="populate-copy-from" xreflabel="Use COPY">
    <title>Use <command>COPY</command></title>
 
    <para>
@@ -1966,7 +1966,7 @@ SELECT * FROM x, y, a, b, c WHERE something AND somethingelse;
 
   </sect2>
 
-  <sect2 id="populate-rm-indexes">
+  <sect2 id="populate-rm-indexes" xreflabel="Remove Indexes">
    <title>Remove Indexes</title>
 
    <para>
@@ -1989,7 +1989,7 @@ SELECT * FROM x, y, a, b, c WHERE something AND somethingelse;
    </para>
   </sect2>
 
-  <sect2 id="populate-rm-fkeys">
+  <sect2 id="populate-rm-fkeys" xreflabel="Remove Foreign Key Constraints">
    <title>Remove Foreign Key Constraints</title>
 
    <para>
@@ -2014,7 +2014,7 @@ SELECT * FROM x, y, a, b, c WHERE something AND somethingelse;
    </para>
   </sect2>
 
-  <sect2 id="populate-work-mem">
+  <sect2 id="populate-work-mem" xreflabel="Increase maintenance_work_mem">
    <title>Increase <varname>maintenance_work_mem</varname></title>
 
    <para>
@@ -2027,7 +2027,7 @@ SELECT * FROM x, y, a, b, c WHERE something AND somethingelse;
    </para>
   </sect2>
 
-  <sect2 id="populate-max-wal-size">
+  <sect2 id="populate-max-wal-size" xreflabel="Increase max_wal_size">
    <title>Increase <varname>max_wal_size</varname></title>
 
    <para>
@@ -2045,7 +2045,7 @@ SELECT * FROM x, y, a, b, c WHERE something AND somethingelse;
    </para>
   </sect2>
 
-  <sect2 id="populate-pitr">
+  <sect2 id="populate-pitr" xreflabel="Disable WAL Archival and Streaming Replication">
    <title>Disable WAL Archival and Streaming Replication</title>
 
    <para>
@@ -2073,7 +2073,7 @@ SELECT * FROM x, y, a, b, c WHERE something AND somethingelse;
    </para>
   </sect2>
 
-  <sect2 id="populate-analyze">
+  <sect2 id="populate-analyze" xreflabel="Run ANALYZE Afterwards">
    <title>Run <command>ANALYZE</command> Afterwards</title>
 
    <para>
@@ -2092,7 +2092,7 @@ SELECT * FROM x, y, a, b, c WHERE something AND somethingelse;
    </para>
   </sect2>
 
-  <sect2 id="populate-pg-dump">
+  <sect2 id="populate-pg-dump" xreflabel="Some Notes about pg_dump">
    <title>Some Notes about <application>pg_dump</application></title>
 
    <para>
@@ -2195,7 +2195,7 @@ SELECT * FROM x, y, a, b, c WHERE something AND somethingelse;
   </sect2>
   </sect1>
 
-  <sect1 id="non-durability">
+  <sect1 id="non-durability" xreflabel="Non-Durable Settings">
    <title>Non-Durable Settings</title>
 
    <indexterm zone="non-durability">
diff --git a/doc/src/sgml/pgbuffercache.sgml b/doc/src/sgml/pgbuffercache.sgml
index 1e9aee10275..163a11716e4 100644
--- a/doc/src/sgml/pgbuffercache.sgml
+++ b/doc/src/sgml/pgbuffercache.sgml
@@ -146,7 +146,7 @@
   this function is restricted to superusers only.
  </para>
 
- <sect2 id="pgbuffercache-pg-buffercache">
+ <sect2 id="pgbuffercache-pg-buffercache" xreflabel="The pg_buffercache View">
   <title>The <structname>pg_buffercache</structname> View</title>
 
   <para>
@@ -281,7 +281,7 @@
   </para>
  </sect2>
 
- <sect2 id="pgbuffercache-pg-buffercache-os-pages">
+ <sect2 id="pgbuffercache-pg-buffercache-os-pages" xreflabel="The pg_buffercache_os_pages View">
   <title>The <structname>pg_buffercache_os_pages</structname> View</title>
 
   <para>
@@ -328,7 +328,7 @@
 
  </sect2>
 
- <sect2 id="pgbuffercache-pg-buffercache-numa">
+ <sect2 id="pgbuffercache-pg-buffercache-numa" xreflabel="The pg_buffercache_numa View">
   <title>The <structname>pg_buffercache_numa</structname> View</title>
 
   <para>
@@ -400,7 +400,7 @@
 
  </sect2>
 
- <sect2 id="pgbuffercache-summary">
+ <sect2 id="pgbuffercache-summary" xreflabel="The pg_buffercache_summary() Function">
   <title>The <function>pg_buffercache_summary()</function> Function</title>
 
   <para>
@@ -486,7 +486,7 @@
   </para>
  </sect2>
 
- <sect2 id="pgbuffercache-usage-counts">
+ <sect2 id="pgbuffercache-usage-counts" xreflabel="The pg_buffercache_usage_counts() Function">
   <title>The <function>pg_buffercache_usage_counts()</function> Function</title>
 
   <para>
@@ -564,7 +564,7 @@
   </para>
  </sect2>
 
- <sect2 id="pgbuffercache-pg-buffercache-evict">
+ <sect2 id="pgbuffercache-pg-buffercache-evict" xreflabel="The pg_buffercache_evict() Function">
   <title>The <function>pg_buffercache_evict()</function> Function</title>
   <para>
    The <function>pg_buffercache_evict()</function> function takes a buffer
@@ -584,7 +584,7 @@
   </para>
  </sect2>
 
- <sect2 id="pgbuffercache-pg-buffercache-evict-relation">
+ <sect2 id="pgbuffercache-pg-buffercache-evict-relation" xreflabel="The pg_buffercache_evict_relation() Function">
   <title>The <function>pg_buffercache_evict_relation()</function> Function</title>
   <para>
    The <function>pg_buffercache_evict_relation()</function> function is very
@@ -602,7 +602,7 @@
   </para>
  </sect2>
 
- <sect2 id="pgbuffercache-pg-buffercache-evict-all">
+ <sect2 id="pgbuffercache-pg-buffercache-evict-all" xreflabel="The pg_buffercache_evict_all() Function">
   <title>The <function>pg_buffercache_evict_all()</function> Function</title>
   <para>
    The <function>pg_buffercache_evict_all()</function> function is very
@@ -618,7 +618,7 @@
   </para>
  </sect2>
 
- <sect2 id="pgbuffercache-pg-buffercache-mark-dirty">
+ <sect2 id="pgbuffercache-pg-buffercache-mark-dirty" xreflabel="The pg_buffercache_mark_dirty() Function">
   <title>The <function>pg_buffercache_mark_dirty()</function> Function</title>
   <para>
    The <function>pg_buffercache_mark_dirty()</function> function takes a
@@ -636,7 +636,7 @@
   </para>
  </sect2>
 
- <sect2 id="pgbuffercache-pg-buffercache-mark-dirty-relation">
+ <sect2 id="pgbuffercache-pg-buffercache-mark-dirty-relation" xreflabel="The pg_buffercache_mark_dirty_relation() Function">
   <title>The <function>pg_buffercache_mark_dirty_relation()</function> Function</title>
   <para>
    The <function>pg_buffercache_mark_dirty_relation()</function> function is
@@ -655,7 +655,7 @@
   </para>
  </sect2>
 
- <sect2 id="pgbuffercache-pg-buffercache-mark-dirty-all">
+ <sect2 id="pgbuffercache-pg-buffercache-mark-dirty-all" xreflabel="The pg_buffercache_mark_dirty_all() Function">
   <title>The <function>pg_buffercache_mark_dirty_all()</function> Function</title>
   <para>
    The <function>pg_buffercache_mark_dirty_all()</function> function is
@@ -673,7 +673,7 @@
   </para>
  </sect2>
 
-<sect2 id="pgbuffercache-sample-output">
+<sect2 id="pgbuffercache-sample-output" xreflabel="Sample Output">
   <title>Sample Output</title>
 
 <screen>
@@ -762,7 +762,7 @@ regression=# SELECT * FROM pg_buffercache_usage_counts();
 </screen>
  </sect2>
 
- <sect2 id="pgbuffercache-authors">
+ <sect2 id="pgbuffercache-authors" xreflabel="Authors">
   <title>Authors</title>
 
   <para>
diff --git a/doc/src/sgml/pgcrypto.sgml b/doc/src/sgml/pgcrypto.sgml
index 6fc2069ad3e..29459f8c207 100644
--- a/doc/src/sgml/pgcrypto.sgml
+++ b/doc/src/sgml/pgcrypto.sgml
@@ -28,10 +28,10 @@
   OpenSSL support was not selected when PostgreSQL was built.
  </para>
 
- <sect2 id="pgcrypto-general-hashing-funcs">
+ <sect2 id="pgcrypto-general-hashing-funcs" xreflabel="General Hashing Functions">
   <title>General Hashing Functions</title>
 
-  <sect3 id="pgcrypto-general-hashing-funcs-digest">
+  <sect3 id="pgcrypto-general-hashing-funcs-digest" xreflabel="digest()">
    <title><function>digest()</function></title>
 
    <indexterm>
@@ -64,7 +64,7 @@ $$ LANGUAGE SQL STRICT IMMUTABLE;
    </para>
   </sect3>
 
-  <sect3 id="pgcrypto-general-hashing-funcs-hmac">
+  <sect3 id="pgcrypto-general-hashing-funcs-hmac" xreflabel="hmac()">
    <title><function>hmac()</function></title>
 
    <indexterm>
@@ -94,7 +94,7 @@ hmac(data bytea, key bytea, type text) returns bytea
   </sect3>
  </sect2>
 
- <sect2 id="pgcrypto-password-hashing-funcs">
+ <sect2 id="pgcrypto-password-hashing-funcs" xreflabel="Password Hashing Functions">
   <title>Password Hashing Functions</title>
 
   <para>
@@ -222,7 +222,7 @@ hmac(data bytea, key bytea, type text) returns bytea
    </tgroup>
   </table>
 
-  <sect3 id="pgcrypto-password-hashing-funcs-crypt">
+  <sect3 id="pgcrypto-password-hashing-funcs-crypt" xreflabel="crypt()">
    <title><function>crypt()</function></title>
 
    <indexterm>
@@ -255,7 +255,7 @@ SELECT (pswhash = crypt('entered password', pswhash)) AS pswmatch FROM ... ;
    </para>
   </sect3>
 
-  <sect3 id="pgcrypto-password-hashing-funcs-gen-salt">
+  <sect3 id="pgcrypto-password-hashing-funcs-gen-salt" xreflabel="gen_salt()">
    <title><function>gen_salt()</function></title>
 
   <indexterm>
@@ -482,7 +482,7 @@ gen_salt(type text [, iter_count integer ]) returns text
   </sect3>
  </sect2>
 
- <sect2 id="pgcrypto-pgp-enc-funcs">
+ <sect2 id="pgcrypto-pgp-enc-funcs" xreflabel="PGP Encryption Functions">
   <title>PGP Encryption Functions</title>
 
   <para>
@@ -580,7 +580,7 @@ gen_salt(type text [, iter_count integer ]) returns text
    </listitem>
   </orderedlist>
 
-  <sect3 id="pgcrypto-pgp-enc-funcs-pgp-sym-encrypt">
+  <sect3 id="pgcrypto-pgp-enc-funcs-pgp-sym-encrypt" xreflabel="pgp_sym_encrypt()">
    <title><function>pgp_sym_encrypt()</function></title>
 
    <indexterm>
@@ -602,7 +602,7 @@ pgp_sym_encrypt_bytea(data bytea, psw text [, options text ]) returns bytea
    </para>
   </sect3>
 
-  <sect3 id="pgcrypto-pgp-enc-funcs-pgp-sym-decrypt">
+  <sect3 id="pgcrypto-pgp-enc-funcs-pgp-sym-decrypt" xreflabel="pgp_sym_decrypt()">
    <title><function>pgp_sym_decrypt()</function></title>
 
    <indexterm>
@@ -631,7 +631,7 @@ pgp_sym_decrypt_bytea(msg bytea, psw text [, options text ]) returns bytea
    </para>
   </sect3>
 
-  <sect3 id="pgcrypto-pgp-enc-funcs-pgp-pub-encrypt">
+  <sect3 id="pgcrypto-pgp-enc-funcs-pgp-pub-encrypt" xreflabel="pgp_pub_encrypt()">
    <title><function>pgp_pub_encrypt()</function></title>
 
    <indexterm>
@@ -656,7 +656,7 @@ pgp_pub_encrypt_bytea(data bytea, key bytea [, options text ]) returns bytea
    </para>
   </sect3>
 
-  <sect3 id="pgcrypto-pgp-enc-funcs-pgp-pub-decrypt">
+  <sect3 id="pgcrypto-pgp-enc-funcs-pgp-pub-decrypt" xreflabel="pgp_pub_decrypt()">
    <title><function>pgp_pub_decrypt()</function></title>
 
    <indexterm>
@@ -689,7 +689,7 @@ pgp_pub_decrypt_bytea(msg bytea, key bytea [, psw text [, options text ]]) retur
    </para>
   </sect3>
 
-  <sect3 id="pgcrypto-pgp-enc-funcs-pgp-key-id">
+  <sect3 id="pgcrypto-pgp-enc-funcs-pgp-key-id" xreflabel="pgp_key_id()">
    <title><function>pgp_key_id()</function></title>
 
    <indexterm>
@@ -735,7 +735,7 @@ pgp_key_id(bytea) returns text
    </para>
   </sect3>
 
-  <sect3 id="pgcrypto-pgp-enc-funcs-armor">
+  <sect3 id="pgcrypto-pgp-enc-funcs-armor" xreflabel="armor(), dearmor()">
    <title><function>armor()</function>, <function>dearmor()</function></title>
 
    <indexterm>
@@ -764,7 +764,7 @@ dearmor(data text) returns bytea
    </para>
   </sect3>
 
-  <sect3 id="pgcrypto-pgp-enc-funcs-pgp-armor-headers">
+  <sect3 id="pgcrypto-pgp-enc-funcs-pgp-armor-headers" xreflabel="pgp_armor_headers">
    <title><function>pgp_armor_headers</function></title>
 
    <indexterm>
@@ -782,7 +782,7 @@ pgp_armor_headers(data text, key out text, value out text) returns setof record
    </para>
   </sect3>
 
-  <sect3 id="pgcrypto-pgp-enc-funcs-opts">
+  <sect3 id="pgcrypto-pgp-enc-funcs-opts" xreflabel="Options for PGP Functions">
    <title>Options for PGP Functions</title>
 
    <para>
@@ -806,7 +806,7 @@ pgp_sym_encrypt(data, psw, 'compress-algo=1, cipher-algo=aes256')
     The rest should have reasonable defaults.
    </para>
 
-  <sect4 id="pgcrypto-pgp-enc-funcs-opts-cipher-algo">
+  <sect4 id="pgcrypto-pgp-enc-funcs-opts-cipher-algo" xreflabel="cipher-algo">
    <title>cipher-algo</title>
 
    <para>
@@ -819,7 +819,7 @@ Applies to: pgp_sym_encrypt, pgp_pub_encrypt
 </literallayout>
   </sect4>
 
-  <sect4 id="pgcrypto-pgp-enc-funcs-opts-compress-algo">
+  <sect4 id="pgcrypto-pgp-enc-funcs-opts-compress-algo" xreflabel="compress-algo">
    <title>compress-algo</title>
 
    <para>
@@ -836,7 +836,7 @@ Applies to: pgp_sym_encrypt, pgp_pub_encrypt
 </literallayout>
   </sect4>
 
-  <sect4 id="pgcrypto-pgp-enc-funcs-opts-compress-level">
+  <sect4 id="pgcrypto-pgp-enc-funcs-opts-compress-level" xreflabel="compress-level">
    <title>compress-level</title>
 
    <para>
@@ -850,7 +850,7 @@ Applies to: pgp_sym_encrypt, pgp_pub_encrypt
 </literallayout>
   </sect4>
 
-  <sect4 id="pgcrypto-pgp-enc-funcs-opts-convert-crlf">
+  <sect4 id="pgcrypto-pgp-enc-funcs-opts-convert-crlf" xreflabel="convert-crlf">
    <title>convert-crlf</title>
 
    <para>
@@ -867,7 +867,7 @@ Applies to: pgp_sym_encrypt, pgp_pub_encrypt, pgp_sym_decrypt, pgp_pub_decrypt
 </literallayout>
   </sect4>
 
-  <sect4 id="pgcrypto-pgp-enc-funcs-opts-disable-mdc">
+  <sect4 id="pgcrypto-pgp-enc-funcs-opts-disable-mdc" xreflabel="disable-mdc">
    <title>disable-mdc</title>
 
    <para>
@@ -883,7 +883,7 @@ Applies to: pgp_sym_encrypt, pgp_pub_encrypt
 </literallayout>
   </sect4>
 
-  <sect4 id="pgcrypto-pgp-enc-funcs-opts-sess-key">
+  <sect4 id="pgcrypto-pgp-enc-funcs-opts-sess-key" xreflabel="sess-key">
    <title>sess-key</title>
 
    <para>
@@ -898,7 +898,7 @@ Applies to: pgp_sym_encrypt
 </literallayout>
   </sect4>
 
-  <sect4 id="pgcrypto-pgp-enc-funcs-opts-s2k-mode">
+  <sect4 id="pgcrypto-pgp-enc-funcs-opts-s2k-mode" xreflabel="s2k-mode">
    <title>s2k-mode</title>
 
    <para>
@@ -914,7 +914,7 @@ Applies to: pgp_sym_encrypt
 </literallayout>
   </sect4>
 
-  <sect4 id="pgcrypto-pgp-enc-funcs-opts-s2k-count">
+  <sect4 id="pgcrypto-pgp-enc-funcs-opts-s2k-count" xreflabel="s2k-count">
    <title>s2k-count</title>
 
    <para>
@@ -927,7 +927,7 @@ Applies to: pgp_sym_encrypt, only with s2k-mode=3
 </literallayout>
   </sect4>
 
-  <sect4 id="pgcrypto-pgp-enc-funcs-opts-s2k-digest-algo">
+  <sect4 id="pgcrypto-pgp-enc-funcs-opts-s2k-digest-algo" xreflabel="s2k-digest-algo">
    <title>s2k-digest-algo</title>
 
    <para>
@@ -940,7 +940,7 @@ Applies to: pgp_sym_encrypt
 </literallayout>
   </sect4>
 
-  <sect4 id="pgcrypto-pgp-enc-funcs-opts-s2k-cipher-algo">
+  <sect4 id="pgcrypto-pgp-enc-funcs-opts-s2k-cipher-algo" xreflabel="s2k-cipher-algo">
    <title>s2k-cipher-algo</title>
 
    <para>
@@ -953,7 +953,7 @@ Applies to: pgp_sym_encrypt
 </literallayout>
   </sect4>
 
-  <sect4 id="pgcrypto-pgp-enc-funcs-opts-unicode-mode">
+  <sect4 id="pgcrypto-pgp-enc-funcs-opts-unicode-mode" xreflabel="unicode-mode">
    <title>unicode-mode</title>
 
    <para>
@@ -970,7 +970,7 @@ Applies to: pgp_sym_encrypt, pgp_pub_encrypt
   </sect4>
   </sect3>
 
- <sect3 id="pgcrypto-pgp-enc-funcs-gnupg">
+ <sect3 id="pgcrypto-pgp-enc-funcs-gnupg" xreflabel="Generating PGP Keys with GnuPG">
   <title>Generating PGP Keys with GnuPG</title>
 
   <para>
@@ -1018,7 +1018,7 @@ gpg -a --export-secret-keys KEYID > secret.key
   </para>
  </sect3>
 
- <sect3 id="pgcrypto-pgp-enc-funcs-limitations">
+ <sect3 id="pgcrypto-pgp-enc-funcs-limitations" xreflabel="Limitations of PGP Code">
   <title>Limitations of PGP Code</title>
 
   <itemizedlist>
@@ -1046,7 +1046,7 @@ gpg -a --export-secret-keys KEYID > secret.key
   </sect3>
  </sect2>
 
- <sect2 id="pgcrypto-raw-enc-funcs">
+ <sect2 id="pgcrypto-raw-enc-funcs" xreflabel="Raw Encryption Functions">
   <title>Raw Encryption Functions</title>
 
   <para>
@@ -1170,7 +1170,7 @@ encrypt(data, 'fooz', 'bf-cbc/pad:pkcs')
   </para>
  </sect2>
 
- <sect2 id="pgcrypto-random-data-funcs">
+ <sect2 id="pgcrypto-random-data-funcs" xreflabel="Random-Data Functions">
   <title>Random-Data Functions</title>
 
   <indexterm>
@@ -1200,7 +1200,7 @@ gen_random_uuid() returns uuid
   </para>
  </sect2>
 
- <sect2 id="pgcrypto-openssl-support-funcs">
+ <sect2 id="pgcrypto-openssl-support-funcs" xreflabel="OpenSSL Support Functions">
   <title>OpenSSL Support Functions</title>
 
   <indexterm>
@@ -1216,7 +1216,7 @@ fips_mode() returns boolean
   </para>
  </sect2>
 
- <sect2 id="pgcrypto-configuration-parameters">
+ <sect2 id="pgcrypto-configuration-parameters" xreflabel="Configuration Parameters">
   <title>Configuration Parameters</title>
 
  <para>
@@ -1254,10 +1254,10 @@ fips_mode() returns boolean
   </para>
  </sect2>
 
- <sect2 id="pgcrypto-notes">
+ <sect2 id="pgcrypto-notes" xreflabel="Notes">
   <title>Notes</title>
 
-  <sect3 id="pgcrypto-notes-config">
+  <sect3 id="pgcrypto-notes-config" xreflabel="Configuration">
    <title>Configuration</title>
 
    <para>
@@ -1285,7 +1285,7 @@ fips_mode() returns boolean
    </para>
   </sect3>
 
-  <sect3 id="pgcrypto-notes-null-handling">
+  <sect3 id="pgcrypto-notes-null-handling" xreflabel="NULL Handling">
    <title>NULL Handling</title>
 
    <para>
@@ -1294,7 +1294,7 @@ fips_mode() returns boolean
    </para>
   </sect3>
 
-  <sect3 id="pgcrypto-notes-sec-limits">
+  <sect3 id="pgcrypto-notes-sec-limits" xreflabel="Security Limitations">
    <title>Security Limitations</title>
 
    <para>
@@ -1327,7 +1327,7 @@ fips_mode() returns boolean
   </sect3>
  </sect2>
 
- <sect2 id="pgcrypto-author">
+ <sect2 id="pgcrypto-author" xreflabel="Author">
   <title>Author</title>
 
   <para>
diff --git a/doc/src/sgml/pgfreespacemap.sgml b/doc/src/sgml/pgfreespacemap.sgml
index 3774a9f8c6b..8093d095e38 100644
--- a/doc/src/sgml/pgfreespacemap.sgml
+++ b/doc/src/sgml/pgfreespacemap.sgml
@@ -21,7 +21,7 @@
   using <command>GRANT</command>.
  </para>
 
- <sect2 id="pgfreespacemap-funcs">
+ <sect2 id="pgfreespacemap-funcs" xreflabel="Functions">
   <title>Functions</title>
 
   <variablelist>
@@ -71,7 +71,7 @@
   </para>
  </sect2>
 
- <sect2 id="pgfreespacemap-sample-output">
+ <sect2 id="pgfreespacemap-sample-output" xreflabel="Sample Output">
   <title>Sample Output</title>
 
 <screen>
@@ -108,7 +108,7 @@ postgres=# SELECT * FROM pg_freespace('foo', 7);
 </screen>
  </sect2>
 
- <sect2 id="pgfreespacemap-author">
+ <sect2 id="pgfreespacemap-author" xreflabel="Author">
   <title>Author</title>
 
   <para>
diff --git a/doc/src/sgml/pglogicalinspect.sgml b/doc/src/sgml/pglogicalinspect.sgml
index 1c1a9d14e51..c4502263f76 100644
--- a/doc/src/sgml/pglogicalinspect.sgml
+++ b/doc/src/sgml/pglogicalinspect.sgml
@@ -21,7 +21,7 @@
   superusers to others using <command>GRANT</command>.
  </para>
 
- <sect2 id="pglogicalinspect-funcs">
+ <sect2 id="pglogicalinspect-funcs" xreflabel="Functions">
   <title>Functions</title>
 
   <variablelist>
@@ -132,7 +132,7 @@ catchange_xip            | {751,752}
   </variablelist>
  </sect2>
 
- <sect2 id="pglogicalinspect-author">
+ <sect2 id="pglogicalinspect-author" xreflabel="Author">
   <title>Author</title>
 
   <para>
diff --git a/doc/src/sgml/pgoverexplain.sgml b/doc/src/sgml/pgoverexplain.sgml
index 0c8db13e4f0..d3ca48efded 100644
--- a/doc/src/sgml/pgoverexplain.sgml
+++ b/doc/src/sgml/pgoverexplain.sgml
@@ -32,7 +32,7 @@ LOAD 'pg_overexplain';
   <filename>postgresql.conf</filename>.
  </para>
 
- <sect2 id="pgoverexplain-debug">
+ <sect2 id="pgoverexplain-debug" xreflabel="EXPLAIN (DEBUG)">
   <title>EXPLAIN (DEBUG)</title>
 
   <para>
@@ -141,7 +141,7 @@ LOAD 'pg_overexplain';
   </itemizedlist>
  </sect2>
 
- <sect2 id="pgoverexplain-range-table">
+ <sect2 id="pgoverexplain-range-table" xreflabel="EXPLAIN (RANGE_TABLE)">
   <title>EXPLAIN (RANGE_TABLE)</title>
 
   <para>
@@ -190,7 +190,7 @@ LOAD 'pg_overexplain';
   </para>
  </sect2>
 
- <sect2 id="pgoverexplain-author">
+ <sect2 id="pgoverexplain-author" xreflabel="Author">
   <title>Author</title>
 
   <para>
diff --git a/doc/src/sgml/pgprewarm.sgml b/doc/src/sgml/pgprewarm.sgml
index 75f45b91b67..f4dc6974c80 100644
--- a/doc/src/sgml/pgprewarm.sgml
+++ b/doc/src/sgml/pgprewarm.sgml
@@ -19,7 +19,7 @@
   will, using 2 background workers, reload those same blocks after a restart.
  </para>
 
- <sect2 id="pgprewarm-funcs">
+ <sect2 id="pgprewarm-funcs" xreflabel="Functions">
   <title>Functions</title>
 
 <synopsis>
@@ -84,7 +84,7 @@ autoprewarm_dump_now() RETURNS int8
   </para>
  </sect2>
 
- <sect2 id="pgprewarm-config-params">
+ <sect2 id="pgprewarm-config-params" xreflabel="Configuration Parameters">
   <title>Configuration Parameters</title>
 
  <variablelist>
@@ -137,7 +137,7 @@ pg_prewarm.autoprewarm_interval = 300s
 
  </sect2>
 
- <sect2 id="pgprewarm-author">
+ <sect2 id="pgprewarm-author" xreflabel="Author">
   <title>Author</title>
 
   <para>
diff --git a/doc/src/sgml/pgrowlocks.sgml b/doc/src/sgml/pgrowlocks.sgml
index 9c6e86b27ed..b312191f394 100644
--- a/doc/src/sgml/pgrowlocks.sgml
+++ b/doc/src/sgml/pgrowlocks.sgml
@@ -19,7 +19,7 @@
  </para>
 
 
- <sect2 id="pgrowlocks-overview">
+ <sect2 id="pgrowlocks-overview" xreflabel="Overview">
   <title>Overview</title>
 
   <indexterm>
@@ -125,7 +125,7 @@ SELECT * FROM accounts AS a, pgrowlocks('accounts') AS p
   </para>
  </sect2>
 
- <sect2 id="pgrowlocks-sample-output">
+ <sect2 id="pgrowlocks-sample-output" xreflabel="Sample Output">
   <title>Sample Output</title>
 
   <screen>
@@ -140,7 +140,7 @@ SELECT * FROM accounts AS a, pgrowlocks('accounts') AS p
 </screen>
  </sect2>
 
- <sect2 id="pgrowlocks-author">
+ <sect2 id="pgrowlocks-author" xreflabel="Author">
   <title>Author</title>
 
   <para>
diff --git a/doc/src/sgml/pgstatstatements.sgml b/doc/src/sgml/pgstatstatements.sgml
index d753de5836e..d1d2047451d 100644
--- a/doc/src/sgml/pgstatstatements.sgml
+++ b/doc/src/sgml/pgstatstatements.sgml
@@ -36,7 +36,7 @@
    <command>CREATE EXTENSION pg_stat_statements</command>.
  </para>
 
- <sect2 id="pgstatstatements-pg-stat-statements">
+ <sect2 id="pgstatstatements-pg-stat-statements" xreflabel="The pg_stat_statements View">
   <title>The <structname>pg_stat_statements</structname> View</title>
 
   <para>
@@ -759,7 +759,7 @@ calls | 2
   </para>
  </sect2>
 
- <sect2 id="pgstatstatements-pg-stat-statements-info">
+ <sect2 id="pgstatstatements-pg-stat-statements-info" xreflabel="The pg_stat_statements_info View">
   <title>The <structname>pg_stat_statements_info</structname> View</title>
 
   <indexterm>
@@ -815,7 +815,7 @@ calls | 2
   </table>
  </sect2>
 
- <sect2 id="pgstatstatements-funcs">
+ <sect2 id="pgstatstatements-funcs" xreflabel="Functions">
   <title>Functions</title>
 
   <variablelist>
@@ -893,7 +893,7 @@ calls | 2
   </variablelist>
  </sect2>
 
- <sect2 id="pgstatstatements-config-params">
+ <sect2 id="pgstatstatements-config-params" xreflabel="Configuration Parameters">
   <title>Configuration Parameters</title>
 
   <variablelist>
@@ -1028,7 +1028,7 @@ pg_stat_statements.track = all
   </para>
  </sect2>
 
- <sect2 id="pgstatstatements-sample-output">
+ <sect2 id="pgstatstatements-sample-output" xreflabel="Sample Output">
   <title>Sample Output</title>
 
 <screen>
@@ -1133,7 +1133,7 @@ hit_percent     |
 </screen>
  </sect2>
 
- <sect2 id="pgstatstatements-authors">
+ <sect2 id="pgstatstatements-authors" xreflabel="Authors">
   <title>Authors</title>
 
   <para>
diff --git a/doc/src/sgml/pgstattuple.sgml b/doc/src/sgml/pgstattuple.sgml
index 54d8f90245e..2c4bea53abf 100644
--- a/doc/src/sgml/pgstattuple.sgml
+++ b/doc/src/sgml/pgstattuple.sgml
@@ -23,7 +23,7 @@
   the <literal>pg_stat_scan_tables</literal> role instead.
  </para>
 
- <sect2 id="pgstattuple-funcs">
+ <sect2 id="pgstattuple-funcs" xreflabel="Functions">
   <title>Functions</title>
 
   <variablelist>
@@ -627,7 +627,7 @@ approx_free_percent  | 2.09
   </variablelist>
  </sect2>
 
- <sect2 id="pgstattuple-authors">
+ <sect2 id="pgstattuple-authors" xreflabel="Authors">
   <title>Authors</title>
 
   <para>
diff --git a/doc/src/sgml/pgsurgery.sgml b/doc/src/sgml/pgsurgery.sgml
index 68186122a22..15cb5efdaee 100644
--- a/doc/src/sgml/pgsurgery.sgml
+++ b/doc/src/sgml/pgsurgery.sgml
@@ -18,7 +18,7 @@
   They should be used with great caution and only as a last resort.
  </para>
 
- <sect2 id="pgsurgery-funcs">
+ <sect2 id="pgsurgery-funcs" xreflabel="Functions">
   <title>Functions</title>
 
   <variablelist>
@@ -96,7 +96,7 @@ test=# SELECT ctid FROM t1 WHERE xmin = 2;
   </variablelist>
  </sect2>
 
- <sect2 id="pgsurgery-authors">
+ <sect2 id="pgsurgery-authors" xreflabel="Authors">
   <title>Authors</title>
 
   <para>
